Bug 22851 - bad md magic on device
bad md magic on device
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-26 14:33 EST by Need Real Name
Modified: 2007-03-26 23:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-15 20:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-26 14:33:37 EST
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 245, in 
__call__
    parts = todo.upgradeFindRoot ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 841, in 
upgradeFindRoot
    mdList = raid.startAllRaid(drives)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/raid.py", line 61, in 
startAllRaid
    for (mdDevice, deviceList) in scanForRaid(driveList):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/raid.py", line 25, in 
scanForRaid
    (major, minor, raidSet, level, nrDisks, totalDisks, mdMinor) = \
  File "isys.py", line 37, in raidsb
    rc = _isys.getraidsb(fd)
ValueError: bad md magic on device

Local variables in innermost frame:
mdDevice: hdb9
fd: 10

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2000-12-27 11:23:51 EST
What is your RAID array configuration?

Did you configure this RAID array using a previous Red Hat Linux installer?
Comment 2 Need Real Name 2000-12-27 16:47:58 EST
What You mean with RAID array configuration???
Comment 3 Need Real Name 2000-12-27 16:56:19 EST
What You mean with RAID array configuration???
I add that I have a PC with AMD 900mhz - 256 mb RAM, but I think that problem 
can be my Monitor (MAG XJ530) with MATROX G450 16MB.
In fact I got another message error during installation of REDHAT 7.0:
"
error opening security policy file
/usr/x11R6/lib/x11/xserver/SecurityPolicy
Waiting for X server to start
"
before system recognised Matrox M G400 (generic) and Server x: XF86_SVGA

Anyway I tried to install with text mode but with no results: this is the first 
installer I use (found annexed with the italian review "linux & C." 
(www.oltrelinux.com).  I sent my problem to them too as maybe the disks could 
be no propers...

Comment 4 Michael Fulbright 2001-04-11 12:13:04 EDT
It appears that /dev/hdb9 is marked as a RAID autodetect partitoins. The
installer is trying to look at its superblock and there is an inconsistency
causing this failure.

Note You need to log in before you can comment on or make changes to this bug.